#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: shake
version: 0.15.11
id: shake-0.15.11-FiNP9Jk98nT35CGdTKBcmn
key: shake-0.15.11-FiNP9Jk98nT35CGdTKBcmn
license: BSD3
copyright: Neil Mitchell 2011-2017
maintainer: Neil Mitchell <ndmitchell@gmail.com>
homepage: http://shakebuild.com
synopsis: Build system library, like Make, but more accurate dependencies.
description:
    Shake is a Haskell library for writing build systems - designed as a
    replacement for @make@. See "Development.Shake" for an introduction,
    including an example. Further examples are included in the Cabal tarball,
    under the @Examples@ directory. The homepage contains links to a user
    manual, an academic paper and further information:
    <http://shakebuild.com>
    .
    To use Shake the user writes a Haskell program
    that imports "Development.Shake", defines some build rules, and calls
    the '\''Development.Shake.shakeArgs'\'' function. Thanks to do notation and infix
    operators, a simple Shake build system
    is not too dissimilar from a simple Makefile. However, as build systems
    get more complex, Shake is able to take advantage of the excellent
    abstraction facilities offered by Haskell and easily support much larger
    projects. The Shake library provides all the standard features available in other
    build systems, including automatic parallelism and minimal rebuilds.
    Shake also provides more accurate dependency tracking, including seamless
    support for generated files, and dependencies on system information
    (e.g. compiler version).
category: Development, Shake
author: Neil Mitchell <ndmitchell@gmail.com>
exposed: True
indefinite: False
exposed-modules:
    Development.Shake Development.Shake.Classes
    Development.Shake.Command Development.Shake.Config
    Development.Shake.FilePath Development.Shake.Forward
    Development.Shake.Rule Development.Shake.Util
hidden-modules: Development.Ninja.Env Development.Ninja.Lexer
                Development.Ninja.Parse Development.Ninja.Type
                Development.Shake.Args Development.Shake.ByteString
                Development.Shake.Core Development.Shake.CmdOption
                Development.Shake.Database Development.Shake.Demo
                Development.Shake.Derived Development.Shake.Errors
                Development.Shake.FileInfo Development.Shake.FilePattern
                Development.Shake.Monad Development.Shake.Pool
                Development.Shake.Profile Development.Shake.Progress
                Development.Shake.Resource Development.Shake.Rules.Directory
                Development.Shake.Rules.File Development.Shake.Rules.Files
                Development.Shake.Rules.Oracle Development.Shake.Rules.OrderOnly
                Development.Shake.Rules.Rerun Development.Shake.Shake
                Development.Shake.Special Development.Shake.Storage
                Development.Shake.Types Development.Shake.Value General.Bilist
                General.Binary General.Cleanup General.Concurrent General.Extra
                General.FileLock General.Intern General.Process General.String
                General.Template General.Timing Paths_shake
abi: 143fa5d498d7fd3a7fcbd389df2f87bb
trusted: False
import-dirs: /usr/lib/ghc-8.2.1/site-local/shake-0.15.11
library-dirs: /usr/lib/ghc-8.2.1/site-local/shake-0.15.11
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/haskell-shake
hs-libraries: HSshake-0.15.11-FiNP9Jk98nT35CGdTKBcmn
depends:
    base-4.10.0.0 directory-1.3.0.2
    hashable-1.2.6.1-5D85BzUWIsjDNuFvtLMWyk binary-0.8.5.1
    filepath-1.4.1.2 process-1.6.1.0
    unordered-containers-0.2.8.0-KL4HUdwCmhYBQDTvY5v0GN
    bytestring-0.10.8.2 utf8-string-1.0.1.1-CvukXmdyLbdJ7d5kadRf8m
    time-1.8.0.2 random-1.1-DtLcP2Z2iOOC0RwcSmXjBK
    js-jquery-3.2.1-GyZ9FJonY6dAAMhwJ2fANo
    js-flot-0.8.3-JDUwO3yTt2e3BCiAqqIjur transformers-0.5.2.0
    extra-1.6-21C3t0YQFbADxH75E4GqjW deepseq-1.4.3.0 unix-2.7.2.2
abi-depends: base-4.10.0.0=a43b4ec12ad02cbfcdfe91f0942afb0a
             directory-1.3.0.2=cfeb01f7201df723a8082d0da3163aee
             hashable-1.2.6.1-5D85BzUWIsjDNuFvtLMWyk=c277093fa16e707f51e09b45510f1326
             binary-0.8.5.1=b72be3099f9dcf7a652ee107dea27d54
             filepath-1.4.1.2=2a8b7688454d81e83f77ef81b74e0636
             process-1.6.1.0=c0ee388768c3dd5e8b2d80490997add7
             unordered-containers-0.2.8.0-KL4HUdwCmhYBQDTvY5v0GN=7d7e1f3460b904c0be93ffa55855f4d0
             bytestring-0.10.8.2=db54a9a10f4b3abcd860c80f928b2ae9
             utf8-string-1.0.1.1-CvukXmdyLbdJ7d5kadRf8m=ff7de6695cfb4cde5628a04fa6d123e7
             time-1.8.0.2=96b65c0ad01f633ba36ea5ef13a79f41
             random-1.1-DtLcP2Z2iOOC0RwcSmXjBK=e54cb8ee20631772dc74b0ec551441ab
             js-jquery-3.2.1-GyZ9FJonY6dAAMhwJ2fANo=4d58de2c3802cae449ee216ff9fea033
             js-flot-0.8.3-JDUwO3yTt2e3BCiAqqIjur=0cdac5fc80a85c6317508d2070b6fb1c
             transformers-0.5.2.0=c9bb94e07e5a6cae97f4e7452aafbf8b
             extra-1.6-21C3t0YQFbADxH75E4GqjW=90b9a896fb2ef8ae52715c35e2c32c8c
             deepseq-1.4.3.0=ab64de23c9713e035549193002fe9df0
             unix-2.7.2.2=53184c24da5ad45126d145b2febba63d
haddock-interfaces: /usr/share/doc/haskell-shake/html/shake.haddock
haddock-html: /usr/share/doc/haskell-shake/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

